Page MenuHomePhabricator

ResourceLoaderWikiModule should query page modification times in batches
Closed, ResolvedPublic

Description

Lots of stuff like the below in debug log:

Query my_wiki (10) (slave): SELECT /* ResourceLoaderWikiModule::getTitleMtimes 127.0.0.1 */ page_namespace,page_title,page_touched FROM page WHERE (page_namespace = '8' AND page_title IN ('Common.js','Common.css','Vector.js','Vector.css','Print.css') )
Query my_wiki (11) (slave): SELECT /* ResourceLoaderWikiModule::getTitleMtimes 127.0.0.1 */ page_namespace,page_title,page_touched FROM page WHERE (page_namespace = '8' AND page_title = 'Noscript.css')
Query my_wiki (12) (slave): SELECT /* ResourceLoaderWikiModule::getTitleMtimes 127.0.0.1 */ page_namespace,page_title,page_touched FROM page WHERE (page_namespace = '8' AND page_title = 'Filepage.css')

Should be batched in one request.


Version: 1.21.x
Severity: enhancement

Details

Reference
bz44362

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:13 AM
bzimport set Reference to bz44362.
bzimport added a subscriber: Unknown Object (MLST).
MaxSem created this task.Jan 25 2013, 10:53 PM

Change 309230 had a related patch set uploaded (by Krinkle):
resourceloader: Preload WikiModule::getTitleInfo() in batches

https://gerrit.wikimedia.org/r/309230

Change 309230 merged by jenkins-bot:
resourceloader: Preload WikiModule::getTitleInfo() in batches

https://gerrit.wikimedia.org/r/309230

Change 309258 had a related patch set uploaded (by Aaron Schulz):
Preload ResourceLoaderWikiModule::getTitleInfo in OutputPage

https://gerrit.wikimedia.org/r/309258

Change 309258 merged by jenkins-bot:
Preload ResourceLoaderWikiModule::getTitleInfo in OutputPage

https://gerrit.wikimedia.org/r/309258

Krinkle closed this task as Resolved.Nov 2 2016, 12:10 AM
Krinkle claimed this task.